Fox Float X & DHX Low Speed Compression Adjuster Assembly - The Lost Co. - Fox Racing Shox - 808-17-470-KIT - 821973459875 - -

Fox Float X & DHX Low Speed Compression Adjuster Assembly

Regular price
¥3,900
Sale price
¥3,900
Quantity must be 1 or more
Sold Out - Notify Me When Available
808-17-470-KIT
Ships within USA only

Pickup Not Available in our Bellingham, WA shop Store Info

  • The Lost Co

    Pickup Not Available in our Bellingham, WA shop

    2106 Pacific Street
    Ste 102
    Bellingham WA 98229
    United States

    +1 (360) 306-8827


*NOTE* - These kits are in very high demand and very low supply from Fox. When we receive our backorders from Fox, they sell out almost immediately. If you received a stock alert but this page shows a message saying they are sold out, this is because they already sold out. Please sign up for the stock alert again to be notified of the next time they are available. 

2022+ Fox Float X and DHX (not DHX2) low-speed compression knob assembly including knob, detent balls, retainers, and springs. 

  • Used to replace the compression knob on your Fox Float X or DHX Factory or Performance Series Elite models.
  • Also used as an upgrade kit to add a low-speed compression adjustment to your Fox Float X or DHX Performance Series rear shock.

Most commonly used to upgrade the Fox Float X Performance Series shock by adding a low-speed compression adjustment on bikes such as the Specialized Stumpjumper EVO Comp models and Transition Patrol, Spire, Sentinel and Scout with Alloy/NX builds.

NOTE: To install this upgrade kit on a Float X/DHX Performance Series shock, you will need to *carefully* pry off the plastic cap on top of the piggyback reservoir, and you need to catch a small detent ball bearing that will fall out (if you lose this bearing, the kit comes with a spare). This is quite tedious and difficult to install, and we recommend the installation to be performed by an experienced suspension tech. 

MPN:808-17-470-KIT
//
UPC:821973459875
Liquid error (snippets/product-form line 26): include usage is not allowed in this context .

WATCH our installation video: